/ics/v3/payments/domestic-scheduled-transfer

Initiates a domestic scheduled payment. The debtorAccount field can be either 'IBAN', 'BBAN', or 'SORT_CODE_ACCOUNT_NUMBER'. The creditorAccount field can be either 'IBAN', 'BBAN', 'SORT_CODE_ACCOUNT_NUMBER', 'BGNR', or 'PGNR'. To enable a custom redirect, include the x-redirect-url parameter in the request header. The callback will then include a resource_id (the payment-id) and a result (the request's status, either 'OK' or 'FAILED'). This API will return a 1426 error if consent is required and a 1428 'payment authorization required' if the payment requires SCA. If you get error code '1428' then you have to call API '/ics/v3/payments/{paymentProduct}/{paymentId}/authorize' to get authorization URL. Once you receive url then you can use that to get authorized with respective bank.

Body Params
debtorAccount
object
required
string
required

Debtor's name (the payer).

creditorAccount
object
required
string
required

Creditor's name (the payee).

string
enum
required

3 letter currency code for the account following ISO 4217.

Allowed:
string
required
string

Remittance information about the payment, such as notes about the transaction. The maximum character limit is 140 (exceptions: Danske NO - 66, Bank Norwegian NO - 30 and 70 for Credit Card and Savings Accounts, respectively, Swedbank SE - 35, other banks in Sweden - 12, banks in Denmark - 40). Note that either remittanceInformationUnstructured or remittanceInformationStructured must be included in the request.

remittanceInformationStructured
object

Unique identification for the payment, issued by the creditor in accordance with a national standard (e.g., 'KID' in Norway, 'OCR' in Sweden). Note that either remittanceInformationUnstructured or remittanceInformationStructured must be included in the request.

string

Unique reference/id assigned by the initiating party to identify the transaction for their own usage. This identification is passed on, unchanged, throughout the whole payment flow (customer->Neonomics->bank. Usage: The endToEndIdentification reference must be populated by the debtor (or merchant in the e-commerce space) so that they can link the transaction to their internal systems. Max character length is 35 as defined by iso 20022.

paymentMetadata
object
string
required

The date that the payment is requested to be executed. It must be a future date following the ISO 8601 format (yyyy-mm-dd).

Headers
string

Authentication scheme used to transmit the access token. Valid value is "Bearer {access token}".

string
required

The session Id returned in the response body when this session was created.

string
required

String that uniquely identifies a single end-user or device.

string

URL where the end-user gets redirected after a consent or payment authorization. The URL must be registered in the Developer Portal under the relevant application.

string
required

The IP Address of the end-user (PSU), which must be provided if the PSU actively requests information. If this value is not provided, then the call will count towards the number of TPP calls without PSU interaction. Leave it empty if the end user is not actively requesting account information, such as during automatic background updates. Provided in either IPv4 or IPv6 format.

string

Identifier of the end-user, passed as the base64-encoded value of an encrypted string following the guidelines given in Documentation > Development > Sensitive end-user data. This parameter is required if the value of 'personalIdentificationRequired' returned from the /banks endpoint is "true".

string

The host where the request is originating from. If you are using end to end encryption from our developer portal then this header is mandatory.

string

The request originating date. If you are using end to end encryption from our developer portal then this header is mandatory.

string

The signature header consisting of the signature string If you are using end to end encryption from our developer portal then this header is mandatory.

string
Defaults to application/json

If you are using end to end encryption from our developer portal then this header is mandatory for all post/put/patch requests.

string

A Base64-encoded hash of the request body If you are using end to end encryption from our developer portal then this header is mandatory for all post/put/patch requests.

Responses

Language
Credentials
Bearer
JWT
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json